Status: Closed Start date: 2023-08-16
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Library and Apps Estimated time: 2:00 hours

Target version:
Module: dcmdata Compiler:

Operating System:

Description

When converting DICOM "Integer String" and "Decimal String" values to JSON numbers, some modifications are performed that
convert numbers that are valid in DICOM but not in JSON into valid JSON numbers.

Currently, the code does not check if the DICOM string is actually a valid number according to DICOM rules, and if the DICOM string
is illegal, the JSON output may be syntactically invalid.

It would be desirable to check the VR using the existing dcmdata VR checker, and either print a warning or return an error if the
number to be converted is invalid.

The VR checker could be used for other DICOM VRs as well, but IS and DS are specifically important because invalid values may
cause the JSON output to be syntactically invalid.

History

#1 - 2025-01-04 16:22 - Marco Eichelberg
- Status changed from New to Closed

- % Done changed from 0 to 100

- Estimated time set to 2:00 h

IS and DS values are actually checked for validity during conversion to Json, and the conversion policy can be selected with the --is-ds-* command
line parameters.
To close this issue, | added warning messages that are printed to the logger when invalid values are encountered.

Closed by commit #23939e751.
